// straddoc.cpp : implementation of the CSDisDoc class
//

#include "stdafx.h"
#include "straddis.h"

#include "straddoc.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSDisDoc

IMPLEMENT_DYNCREATE(CSDisDoc, CDocument)

BEGIN_MESSAGE_MAP(CSDisDoc, CDocument)
	//{{AFX_MSG_MAP(CSDisDoc)
	ON_COMMAND(IDM_SEND, OnSend)
	ON_COMMAND(IDM_SENDSTOP, OnSendStop)
	ON_COMMAND(IDM_TERMINATE, OnTerminate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSDisDoc construction/destruction

CSDisDoc::CSDisDoc()
{
	m_pTestServer = NULL;
}

CSDisDoc::~CSDisDoc()
{
	if (m_pTestServer != NULL)
		delete m_pTestServer;
}

BOOL CSDisDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}

void CSDisDoc::AserverConnect (LPSTR lpAserverCommand)
/* Initialise Aserver Connection.
 * Called after OnNewDocument if the connection should be made
 */
{
	m_pTestServer = (CTestServer*) new CTestServer;
}


/////////////////////////////////////////////////////////////////////////////
// CSDisDoc serialization

void CSDisDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CSDisDoc diagnostics

#ifdef _DEBUG
void CSDisDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CSDisDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CSDisDoc commands

void CSDisDoc::OnSend()
{
	m_pTestServer->SendStatus ();	
}

void CSDisDoc::OnSendStop()
{
	m_pTestServer->SendStatus (TRUE);	
}

void CSDisDoc::OnTerminate()
{
	delete m_pTestServer;
	m_pTestServer = NULL;
}
