/*
 * Definition of CTestServer
 * Handle test communciations using the ASERVER protocol
 */

#include "aserver.h"

#define MAX_TESTMESSAGE 100

class CTestData;

class CTestServer : CAserver
{
public:
    CTestServer ();  
    ~CTestServer ();  
	LPSTR StatusString ();          
	void SendStatus (BOOL bStop = FALSE);

private: 
	virtual BOOL RecMessage (int c_num, const void* pMessage, UINT size);
	virtual void ProtocolFail (const char* errorText);
	virtual void ConnectionInfo (int c_num, int result, const packet_hdr hdr, BOOL sigInt, const char* service, const char* serviceParam);

    BOOL m_bReceived;
    char m_TestString[MAX_TESTMESSAGE+1];;
};
