// stradvw.h : interface of the CSDisView class
//
/////////////////////////////////////////////////////////////////////////////

class CSCntrItem;

class CSDisView : public CView
{
protected: // create from serialization only
	CSDisView();
	DECLARE_DYNCREATE(CSDisView)

// Attributes
public:
	CSDisDoc* GetDocument();
	// m_pSelection holds the selection to the current CSCntrItem.
	// For many applications, such a member variable isn't adequate to
	//  represent a selection, such as a multiple selection or a selection
	//  of objects that are not CSCntrItem objects.  This selection
	//  mechanism is provided just to help you get started.

	// TODO: replace this selection mechanism with one appropriate to your app.
	CSCntrItem* m_pSelection;

// Operations
public:

// Implementation
public:
	virtual ~CSDisView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void OnInitialUpdate(); // called first time after construct

	// Printing support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Generated message map functions
protected:
	//{{AFX_MSG(CSDisView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in stradvw.cpp
inline CSDisDoc* CSDisView::GetDocument()
   { return (CSDisDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
