// stradvw.cpp : implementation of the CSDisView class
//

#include "stdafx.h"
#include "straddis.h"

#include "straddoc.h"
#include "stradvw.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSDisView

IMPLEMENT_DYNCREATE(CSDisView, CView)

BEGIN_MESSAGE_MAP(CSDisView, CView)
	//{{AFX_MSG_MAP(CSDisView)
	ON_WM_SETFOCUS()
	ON_WM_SIZE()
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSDisView construction/destruction

CSDisView::CSDisView()
{
	// TODO: add construction code here
}

CSDisView::~CSDisView()
{
}

/////////////////////////////////////////////////////////////////////////////
// CSDisView drawing

void CSDisView::OnDraw(CDC* pDC)
{
	CSDisDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// Draw code for native data here
	{
		if (pDoc->m_pTestServer)
			pDC->DrawText (pDoc->m_pTestServer->StatusString(), -1, CRect(0,0,400,30), DT_LEFT);
	}
}

void CSDisView::OnInitialUpdate()
{
	CView::OnInitialUpdate();

	// Setup my own Redraw timer
	SetTimer (1, 200, NULL);
	
	// TODO: remove this code when final selection model code is written
	m_pSelection = NULL;    // initialize selection

}

/////////////////////////////////////////////////////////////////////////////
// CSDisView printing

BOOL CSDisView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CSDisView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CSDisView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


void CSDisView::OnSize(UINT nType, int cx, int cy)
{
	CView::OnSize(nType, cx, cy);
}

/////////////////////////////////////////////////////////////////////////////
// CSDisView diagnostics

#ifdef _DEBUG
void CSDisView::AssertValid() const
{
	CView::AssertValid();
}

void CSDisView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CSDisDoc* CSDisView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSDisDoc)));
	return (CSDisDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CSDisView message handlers

void CSDisView::OnTimer(UINT nIDEvent)
{   
	/* Handle self redraw timer */
	if (nIDEvent == 1) {        
		/* Window may not be created */
		if (m_hWnd) {
			Invalidate ();
			CView::OnTimer(nIDEvent);
		}
	}
}
